//
//  SmartlookCBridge.h
//  Smartlook iOS SDK 0.1.11
//
//  Copyright © 2018 Smartsupp.com, s.r.o. All rights reserved.
//

#pragma once

#if defined __cplusplus
extern "C" {
#endif
	void SmartlookSetupAndStartRecording(const char* key);
	void SmartlookSetupAndStartRecordingWithFramerate(const char* key, int framerate);
	void SmartlookSetup(const char* key);
	void SmartlookSetupWithFramerate(const char* key, int framerate);
	void SmartlookStartRecording();
	void SmartlookStopRecording();
	void SmartlookStartFullscreenSensitiveMode();
	void SmartlookStopFullscreenSensitiveMode();
	void SmartlookSetReferrer(const char* referrer, const char* source);
	void SmartlookRecordEvent(const char* eventName);
	void SmartlookRecordEventWithProperties(const char* eventName, const char* properties);
	void SmartlookTimeEvent(const char* eventName);
	void SmartlookSetUserIdentifier(const char* userIdentifier);
	bool SmartlookIsRecording();
	const char* SmartlookGetDashboardSessionUrl();

	// Deprecated methods
	void SmartlookInit(const char* key);
	void SmartlookInitWithFramerate(const char* key, int framerate);
	void SmartlookPauseRecording();
	void SmartlookResumeRecording();

#if defined __cplusplus
};
#endif
